Inspect portable task archive before import
POST
/tasks/import/inspectUnpacks the .pa-task-export archive into a temporary file, reconciles dependencies against local catalogs, and returns a report without changing the database.
Contract
Parameter | Value |
|---|---|
| Section | tasks |
| Authentication | CookieAuth |
| Consumes | multipart/form-data |
| Produces | application/json |
Parameters
1 parameter
Name | Location | Required | Type | Description |
|---|---|---|---|---|
| file | formData | yes | file | .pa-task-export archive |
{}
Responses
4 responses
Status | Description | Type |
|---|---|---|
200 | Import reconciliation report | object |
400 | Invalid archive | object |
401 | Unauthorized | object |
500 | Failed to read the archive or local catalogs | object |
{ "format": "<string>", "inspectedAt": "<string>", "manifest": { "checksums": { "<key>": "<string>" }, "exportedAt": "<string>", "format": "<string>", "missing": [ { "kind": "<string>", "reason": "<string>", "sourceId": 0 } ], "options": { "includeFilePayloads": true, "includeMalwarePayloads": true }, "schema": "<string>", "sourceTaskId": 0, "summary": { "agents": 0, "applications": 0, "certificates": 0, "compromisedHostCampaigns": 0, "cveSignatures": 0, "fileBytes": 0, "files": 0, "macs": 0, "networks": 0, "payloadBytes": 0, "tunnels": 0 }, "warnings": [ "<string>" ] }, "matches": [ { "kind": "<string>", "localId": 0, "localName": "<string>", "reason": "<string>", "sourceId": 0, "sourceName": "<string>", "status": "<string>" } ], "missing": [ { "kind": "<string>", "reason": "<string>", "sourceId": 0 } ], "schema": "<string>", "summary": { "agents": 0, "applications": 0, "certificates": 0, "compromisedHostCampaigns": 0, "cveSignatures": 0, "fileBytes": 0, "files": 0, "macs": 0, "networks": 0, "payloadBytes": 0, "tunnels": 0 }, "warnings": [ "<string>" ] }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }